LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XFastAttributeList Interface Reference

a container for the attributes of an XML element. More...

`import"XFastAttributeList.idl";`

Inheritance diagram for XFastAttributeList:

## Public Member Functions
boolean | hasAttribute ([in] long Token)
| checks if an attribute is available. More...
long | getValueToken ([in] long Token) raises ( SAXException )
| retrieves the token of an attribute value. More...
long | getOptionalValueToken ([in] long Token, [in] long Default)
| retrieves the token of an attribute value. More...
string | getValue ([in] long Token) raises ( SAXException )
| retrieves the value of an attribute. More...
string | getOptionalValue ([in] long Token)
| retrieves the value of an attribute. More...
sequence< ::com::sun::star::xml::Attribute > | getUnknownAttributes ()
| returns a sequence of attributes which names and or namespaces URLS can not be translated to tokens. More...
sequence< ::com::sun::star::xml::FastAttribute > | getFastAttributes ()
| returns a sequence of attributes which names and or namespaces URLS are translated to tokens. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

a container for the attributes of an XML element.

Attributes are separated into known attributes and unknown attributes.

Known attributes have a local name that is known to the XFastTokenHandler registered at the XFastParser which created the sax event containing this attributes. If an attribute also has a namespace, that must be registered at the XFastParser, else this attribute is also unknown even if the local name is known.

## Member Function Documentation

## ◆ getFastAttributes()

sequence< ::com::sun::star::xml::FastAttribute > getFastAttributes | ( |  | ) |

returns a sequence of attributes which names and or namespaces URLS are translated to tokens.

## ◆ getOptionalValue()

string getOptionalValue | ( | [in] long | Token | ) |

retrieves the value of an attribute.

Parameters

  Token | contains the integer token from the XFastTokenHandler registered at the XFastParser.

If the attribute name has a namespace that was registered with the XFastParser, Token contains the integer token of the attributes local name from the XFastTokenHandler and the integer token of the namespace combined with an arithmetic or operation.

Returns
  The string value from the attribute or an empty string if the attribute is not available.

## ◆ getOptionalValueToken()

long getOptionalValueToken | ( | [in] long | Token,
|  | [in] long | Default
| ) |  |

retrieves the token of an attribute value.

Parameters

  Token | contains the integer token from the XFastTokenHandler registered at the XFastParser.

If the attribute name has a namespace that was registered with the XFastParser, Token contains the integer token of the attributes local name from the XFastTokenHandler and the integer token of the namespace combined with an arithmetic or operation.

Parameters

  Default | This value will be returned if the attribute is not available

Returns
  If the attribute is available it returns the integer token of the value from the attribute or FastToken::Invalid. If not the value of `Default` is returned.

## ◆ getUnknownAttributes()

sequence< ::com::sun::star::xml::Attribute > getUnknownAttributes | ( |  | ) |

returns a sequence of attributes which names and or namespaces URLS can not be translated to tokens.

## ◆ getValue()

string getValue | ( | [in] long | Token | ) |
raises | ( | SAXException
| ) |  |

retrieves the value of an attribute.

Parameters

  Token | contains the integer token from the XFastTokenHandler registered at the XFastParser.

If the attribute name has a namespace that was registered with the XFastParser, Token contains the integer token of the attributes local name from the XFastTokenHandler and the integer token of the namespace combined with an arithmetic or operation.

Returns
  The string value from the attribute.

Exceptions

  SAXEXception | if the attribute is not available

## ◆ getValueToken()

long getValueToken | ( | [in] long | Token | ) |
raises | ( | SAXException
| ) |  |

retrieves the token of an attribute value.

Parameters

  Token | contains the integer token from the XFastTokenHandler registered at the XFastParser.

If the attribute name has a namespace that was registered with the XFastParser, Token contains the integer token of the attributes local name from the XFastTokenHandler and the integer token of the namespace combined with an arithmetic or operation.

Returns
  The integer token of the value from the attribute or FastToken::Invalid

Exceptions

  SAXEXception | if the attribute is not available

## ◆ hasAttribute()

boolean hasAttribute | ( | [in] long | Token | ) |

checks if an attribute is available.

Parameters

  Token | contains the integer token from the XFastTokenHandler registered at the XFastParser.

If the attribute name has a namespace that was registered with the XFastParser, Token contains the integer token of the attributes local name from the XFastTokenHandler and the integer token of the namespace combined with an arithmetic or operation.

Returns
  `TRUE`, if the attribute is available

The documentation for this interface was generated from the following file:

- com/sun/star/xml/sax/XFastAttributeList.idl